#pragma once

#include "blitz/common/NonCopyable.h"
#include "blitz/maths/Vector.h"

namespace blitz {
namespace audio {

class AudioListener : private NonCopyable {
  public:
	AudioListener();
	~AudioListener();

	void SetGain(float a_Gain);
	void SetPosition(const Vec3f& a_Position);
	void SetVelocity(const Vec3f& a_Velocity);
	void SetOrientation(const Vec3f& a_Orientation, const Vec3f& a_Up);
};

}  // namespace audio
}  // namespace blitz
